Description

With the subtasking feature it doesnt appear that a user can move a subtask to another task, nor use an existing issue as a subtask.

We had somewhat implemented our own way of doing subtasks before 1.0, and wanted to move some of these, but appears that we

cant.

Another (which is a larger issue for us) is that if a user accidentally creates an issue they want to be a subissue as a 'normal' issue -

they have to delete it and recreate it.

History

#1 - 2010-09-15 17:22 - Gerry Hawkins

I agree that it is important for an defect to be able to become a subtask after creation. Having to delete and recreate the defect report just to parent it

under a feature just is not a good work flow.

Possible workflows: subtask add allows for adding a defect #, e.g. add existing versus add new; a defect has a parent under this feature option; there

is a nice drag and drop interface for auto-magically parenting.

#2 - 2010-09-21 23:03 - Enderson Maia

Jon Lumpkin wrote:

...

Another (which is a larger issue for us) is that if a user accidentally creates an issue they want to be a subissue as a 'normal' issue - they have to

delete it and recreate it.

 There's no need to delete and/or recreate.

You can access the issue, click "Update" than access the link "More" and fill the "Parent task" field.

If this solve your problem, please update this issue as "Resolved"

#3 - 2010-09-21 23:59 - Eric Davis

- Status changed from New to Closed

- Resolution set to Invalid

You can update an issue and set it's Parent field like Enderson Maia described.  This can be used to "convert" a normal issue into a subissue, move

an issue from one parent to another, or convert a subissue to a normal issue.

I'm hoping to update the user interface for 1.1 to make this easier to understand.

#4 - 2010-09-22 14:57 - Jon Lumpkin

I hope so too. This works as we wanted, but would have never been able to find this otherwise. This is a great feature, but very hard to find!

#5 - 2010-09-22 15:17 - Gerry Hawkins

That worked. And since it is not, hopefully, that common a workflow I am OK with the way to do it being also not that common. That being said I didn't

find this either.

And as I said in #6405 having parenting activity reported in the activity report would be helpful

#6 - 2014-01-23 12:40 - Alexander Stohr
https://www.redmine.org/issues/6405


the process is working in principle.

it still would be easier to handle if doing such an interconnection would work when starting from the parent ticket as well.

thus a functionality like "add childs" would be quite fine and intuitive.
